<?php
/**
 * An interface for contract partners
 *
 * @author	Roland Haeder <roland __NOSPAM__ [at] __REMOVE_ME__ mxchange [dot] org>
 * @version	0.1
 */
interface ContractPartner extends FrameworkInterface {
	/**
	 * This is a contract partner
	 *
	 * @param		$contractInstance	Must be a valid instance of WorksContract
	 * @return	boolean			true  = can be a contract partner,
	 *							false = no partner for contracts
	 */
	function isContractPartner (WorksContract $contractInstance);
}

// [EOF]
?>
