<?php

// An exception class for lost classes... ;-)
class BirthdayInvalidException extends FrameworkException {
	public function __construct ($birthArray, $code) {
		// Cast the array
		$birthArray = (array) $birthArray;

		// Add a message around the missing class
		$message = sprintf("Das Geburtsdatum <u>%s</u> ist leider falsch.",
			date("d.m.Y", mktime(
				0, 0, 0,
				$birthArray[1],
				$birthArray[2],
				$birthArray[0]
			))
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
