<?php

// An exception class for lost classes... ;-)
class ContractAllreadySignedException extends FrameworkException {
	public function __construct ($classArray, $code) {
		// Cast the array
		$classArray = (array) $classArray;

		// Add a message around the missing class
		$message = sprintf("[%s:] Die Vertragsparteien <u>%s</u> und <u>%s</u> haben den Vertrag bereits unterzeichnet!",
			$classArray[0]->__toString(),
			$classArray[1]->getCompanyName(),
			$classArray[2]->getCompanyName()
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
