<?php
// Die Liegeplatz-Klasse
class Berth extends BaseConstruction {
	// Durchlaufende Nummer der Liegeplaetze
	private $berthIndex = 0;

	// Zugewiesener Hafen
	private $harborInstance = null;

	// Konstruktor
	private function __construct () {
		if (((defined('DEBUG_MODE')) || (defined('DEBUG_ALL'))) && (defined('DEBUG_CONSTRUCT'))) {
			$this->getDebugInstance()->output(sprintf("[%s:%d] Konstruktor erreicht.<br />\n",
				__CLASS__,
				__LINE__
			));
		}

		// Eltern-Konstruktor aufrufen
		parent::constructor(__CLASS__);

		// Beschreibung setzen
		$this->setPartDescr("Liegeplatz");

		// Unique-ID erzeugen
		$this->createUniqueID();
	}

	/**
	 * Stub!
	 */
	public function saveObjectToDatabase () {
		$this->getDebugInstance()->output(sprintf("[%s:] Stub <strong>%s</strong> erreicht.",
			$this->__toString(),
			__FUNCTION__
		));
	}

	/**
	 * Limits this object with an ObjectLimits instance
	 */
	public function limitObject (ObjectLimits $limitInstance) {
		ApplicationEntryPoint::app_die("".__METHOD__." reached! Stub!");
	}
}

// [EOF]
?>
