<?php

// Die Werft-Klasse
class DryDock extends BaseConstruction {
	// Zugewiesener Hafen
	private $harborInstance = null;

	// Konstruktor
	private function __construct () {
		if (((defined('DEBUG_MODE')) || (defined('DEBUG_ALL'))) && (defined('DEBUG_CONSTRUCT'))) $this->getDebugInstance()->output("[DryDock:] Konstruktor erreicht.<br />\n");

		// Eltern-Konstruktor aufrufen
		parent::constructor(__CLASS__);

		// Beschreibung setzen
		$this->setPartDescr("Trockendock");

		// Unique-ID erzeugen
		$this->createUniqueID();
	}

	/**
	 * Stub!
	 */
	public function saveObjectToDatabase () {
		$this->getDebugInstance()->output(sprintf("[%s:] Stub <strong>%s</strong> erreicht.",
			$this->__toString(),
			__FUNCTION__
		));
	}

	/**
	 * Limits this object with an ObjectLimits instance
	 */
	public function limitObject (ObjectLimits $limitInstance) {
		ApplicationEntryPoint::app_die("".__METHOD__." reached! Stub!");
	}
}

// [EOF]
?>
